@Echo off 
REM Fichier INSTALL.BAT pour copier quelques fichiers indispensable 

setlocal enableDelayedExpansion

Set "VERSION=14.62"
Set "application=Gestion-Patients"
Set "appdir=Gestion-Patients"

ECHO 
echo Installation de %application%            version %VERSION%
ECHO 
REM valeurs par defaut :
Set "KEY="
Set "MWB=32"
Set "MOB=32"
Set "OFFICE="
Set "YEAR="
echo=CONFIGURATION CONSTATE :
Echo=%PROCESSOR_ARCHITECTURE% %PROCESSOR_ARCHITEW6432%|Find "64">Nul&&(Set "KEY=\Wow6432Node"&Set "MWB=64")
ECHO Windows %MWB%-bits

for /f "tokens=2 delims==" %%O in ('ftype ^|findstr /r /I "\\OFFICE[0-9]*" 2^>nul') do ( 
set "tokens=%%~O" 
goto END_TOKENS 
) 
:END_TOKENS 

for %%P in (%tokens%) do ( 
set "officePath=%%~dpP" 
for %%V in ("!officePath:~0,-1!") do ( 
set "officeVersion=%%~nV" 
goto END_OFFICEPATH 
) 
) 
:END_OFFICEPATH 

if "%officeVersion%" == "Office11" (set "OFFICE=11.0"&set "YEAR=2003") 
if "%officeVersion%" == "Office12" (set "OFFICE=12.0"&set "YEAR=2007") 
if "%officeVersion%" == "Office14" (set "OFFICE=14.0"&set "YEAR=2010") 
if "%officeVersion%" == "Office15" (set "OFFICE=15.0"&set "YEAR=2013")
if "%officeVersion%" == "Office16" (set "OFFICE=16.0"&set "YEAR=2016")  



if "%officeVersion%" == "Office12" (regedit /s "C:\%appdir%\Gestion-PatientsregistreAccess2007.reg")
if "%officeVersion%" == "Office14" (regedit /s "C:\%appdir%\Gestion-PatientsregistreAccess2010.reg")
if "%officeVersion%" == "Office15" (regedit /s "C:\%appdir%\Gestion-PatientsregistreAccess2013.reg")
if "%officeVersion%" == "Office16" (regedit /s "C:\%appdir%\Gestion-PatientsregistreAccess2016.reg")  
echo=&echo=

Set "KEY=HKLM\SOFTWARE\Microsoft\Office\%OFFICE%\Registration"

rem Reg Query %KEY% /k /f "*0FF1CE}"

For /f "Delims=" %%a In ('Reg Query %KEY% /k /f "*0FF1CE}"') Do (
	If Not Defined GUID Set "GUID=%%~nxa")
If Not Defined GUID (Echo=Larchitecture dOFFICE nest pas trouv&GoTo :EndIt)


If %GUID:~20,1% Equ 1 Set "MOB=64"

echo Office %YEAR% (%OFFICE%) %MOB%-bits

:EndIt


rem que pour info
Set Off_Ver="Produit inconnu"
:2007 Standard
(For /f "Tokens=1,2*" %%a In ('reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\STANDARDR" /v DisplayName') Do Set Off_Ver=%%c) 2>nul
:2007 ProPlus
(For /f "Tokens=1,2*" %%a In ('reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\PROPLUS" /v DisplayName') Do Set Off_Ver=%%c) 2>nul
:2007 ProPlus
(For /f "Tokens=1,2*" %%a In ('reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\PROR" /v DisplayName') Do Set Off_Ver=%%c) 2>nul

:2010 Standard
(For /f "Tokens=1,2*" %%a In ('reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Office14.SingleImage" /v DisplayName') Do Set Off_Ver=%%c) 2>nul
:2010 runtime
(For /f "Tokens=1,2*" %%a In ('reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Office14.AccessRT" /v DisplayName') Do Set Off_Ver=%%c) 2>nul
:2010 ProPlus
(For /f "Tokens=1,2*" %%a In ('reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Office14.PROPLUS" /v DisplayName') Do Set Off_Ver=%%c) 2>nul

:2013 Standard
(For /f "Tokens=1,2*" %%a In ('reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Office15.SingleImage" /v DisplayName') Do Set Off_Ver=%%c) 2>nul
:2013 runtime
(For /f "Tokens=1,2*" %%a In ('reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Office15.AccessRT" /v DisplayName') Do Set Off_Ver=%%c) 2>nul
:2013 ProPlus
(For /f "Tokens=1,2*" %%a In ('reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Office15.PROPLUS" /v DisplayName') Do Set Off_Ver=%%c) 2>nul

:2016 Standard
(For /f "Tokens=1,2*" %%a In ('reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Office16.SingleImage" /v DisplayName') Do Set Off_Ver=%%c) 2>nul
:2016 runtime
(For /f "Tokens=1,2*" %%a In ('reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Office16.AccessRT" /v DisplayName') Do Set Off_Ver=%%c) 2>nul
:2016 ProPlus
(For /f "Tokens=1,2*" %%a In ('reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Office16.PROPLUS" /v DisplayName') Do Set Off_Ver=%%c) 2>nul

:2013 365 Home Premium
(For /f "Tokens=1,2*" %%a In ('reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\O365HomePremRetail - en-us" /v DisplayName') Do Set Off_Ver=%%c) 2>nul

echo Produit install : %Off_Ver% 

if "%officeVersion%" leq "Office12" (
echo ERREUR : Microsoft Office est trop vieille
echo Il faut au moins Office 2007 avec Access

goto :echec
)
  
if "%officeVersion%" == "" (
echo ERREUR : Microsoft Office semble ne pas tre install 
echo Il faut au moins Office 2007 avec Access
echo=&echo=
goto :echec 
)

echo=&echo=
if not exist C:\%appdir% GOTO echec


if exist  "%USERPROFILE%\Bureau" cd "%USERPROFILE%\Bureau"
if exist  "%USERPROFILE%\Desktop" cd "%USERPROFILE%\Desktop"

if %MOB%==64 (
if not exist  "C:\%appdir%\%application%-%VERSION%-MSO64bits.accde" goto :echec
Copy /y C:\%appdir%\"%application% MSO64bits.lnk" .\"%application%.lnk" >nul
) else (
if not exist  "C:\%appdir%\%application%-%VERSION%-MSO32bits.accde" goto :echec
Copy /y C:\%appdir%\"%application% MSO32bits.lnk" .\"%application%.lnk" >nul
)

if not exist C:\%appdir%\ConfigurationPerso.accdb goto :echec


echo Le fichier install(.bat) doit tre execut en tant quadministrateur pour chaque utilisateur et 
echo sur chaque ordinateur susceptible dutiliser %application%

:fini
echo Vous trouverez licne pour dmarrer %application% sur votre bureau.
echo (Il faut ventuellement raffrachir votre bureau : [F5] sur le bureau)
echo=&echo=
ECHO 
echo                 FINI et cest russi.
ECHO 
echo=&echo=
Pause
exit

:echec
ECHO ======================================================
echo ECHEC de linstallation de %application%
ECHO 
echo Le zip nest peut-tre pas correctement dezipp.
echo Veuillez extraire le zip AVEC les rpertoires (use folder names)
echo et directement dans C:\
echo=&echo=
echo Apres extraction de %application%.zip 
echo	le rpertoire principal C:\%appdir% doit exister.
echo Ainsi dedans au moins les fichiers :
echo 	%application%-%VERSION%-MSO32bits(.accde) ou
echo 	%application%-%VERSION%-MSO64bits(.accde)
echo	ConfigurationPerso(.accdb)
echo 	Patients(.accdb)
echo 	%appdir%(.ico)
echo 	CommandCam(.exe)
echo	%application%(.ico)
echo	%application%ZipLib(.dll)  en cas de MSO32bits

echo (Les extensions des fichiers ne sont peut-tre pas visibles)
ECHO 

pause 